Skip to main content
Reliable Services/MN Monitoring APIs
PUTMN Monitoring APIsSince 0.6SynchronousAuth Required

Get All Supported APIs

Get All Supported APIs

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

Body Fields

  • systemTagsList

    System tags

  • userTagsList

    User tags

Responses

200 OK

On success, this API returns the following response structure.

  • supportApisListRequired

    No description provided.

  • successbooleanRequired

    操作是否成功。

  • errorErrorCodeRequired

    The error code. If not null, the operation has failed. This field is null when the operation succeeds. For details, see error

    • codeStringRequired

      The error code number. A globally unique identifier for the error, for example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      A brief description of the error.

    • detailsStringRequired

      The detailed error information.

    • elaborationStringRequired

      A reserved field. Default is null.

    • opaqueLinkedHashMapRequired

      A reserved field. Default is null.

    • causeErrorCodeRequired

      The root error. The source error that caused the current error. If there is no root error, this field is null.

Endpoint

PUT/zstack/v1/management-nodes/actions

/zstack/v1/management-nodes/actions

Operation ID

GetSupportAPIs

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/management-nodes/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "supportApis": [] }

Change History

This API has no change history records yet.

View all change history